# permissions for end users to edit libvirtmachines.
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: libvirtmachine-editor-role
rules:
- apiGroups:
  - infrastructure.cluster.x-k8s.io
  resources:
  - libvirtmachines
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - infrastructure.cluster.x-k8s.io
  resources:
  - libvirtmachines/status
  verbs:
  - get
